org.springframework.data.web

## Class ProxyingHandlerMethodArgumentResolver

- java.lang.Object
- - org.springframework.web.method.annotation.ModelAttributeMethodProcessor
  - - org.springframework.data.web.ProxyingHandlerMethodArgumentResolver

All Implemented Interfaces:
  Aware, BeanClassLoaderAware, BeanFactoryAware, HandlerMethodArgumentResolver, HandlerMethodReturnValueHandler

    public class ProxyingHandlerMethodArgumentResolver
    extends ModelAttributeMethodProcessor
    implements BeanFactoryAware, BeanClassLoaderAware

`HandlerMethodArgumentResolver` to create Proxy instances for interface based controller method parameters.

Since:
  1.10
Author:
  Oliver Gierke

### Field Summary

### Fields inherited from class org.springframework.web.method.annotation.ModelAttributeMethodProcessor

`logger`

### Constructor Summary

Constructors
Constructor and Description
`ProxyingHandlerMethodArgumentResolver(ObjectFactory<ConversionService> conversionService, boolean annotationNotRequired)` Creates a new `PageableHandlerMethodArgumentResolver` using the given `ConversionService`.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `bindRequestParameters(WebDataBinder binder, NativeWebRequest request)`
`protected Object` `createAttribute(String attributeName, MethodParameter parameter, WebDataBinderFactory binderFactory, NativeWebRequest request)`
`void` `setBeanClassLoader(ClassLoader classLoader)`
`void` `setBeanFactory(BeanFactory beanFactory)`
`boolean` `supportsParameter(MethodParameter parameter)`

### Methods inherited from class org.springframework.web.method.annotation.ModelAttributeMethodProcessor

`constructAttribute, handleReturnValue, isBindExceptionRequired, isBindExceptionRequired, resolveArgument, resolveConstructorArgument, supportsReturnType, validateIfApplicable, validateValueIfApplicable`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ProxyingHandlerMethodArgumentResolver

    public ProxyingHandlerMethodArgumentResolver(ObjectFactory<ConversionService> conversionService,
                                                 boolean annotationNotRequired)

Creates a new `PageableHandlerMethodArgumentResolver` using the given `ConversionService`.

Parameters:
  `conversionService` - must not be null.

### Method Detail

#### setBeanFactory

    public void setBeanFactory(BeanFactory beanFactory)
                        throws BeansException

Specified by:
  `setBeanFactory` in interface `BeanFactoryAware`
Throws:
  `BeansException`

#### setBeanClassLoader

    public void setBeanClassLoader(ClassLoader classLoader)

Specified by:
  `setBeanClassLoader` in interface `BeanClassLoaderAware`

#### supportsParameter

    public boolean supportsParameter(MethodParameter parameter)

Specified by:
  `supportsParameter` in interface `HandlerMethodArgumentResolver`
Overrides:
  `supportsParameter` in class `ModelAttributeMethodProcessor`

#### createAttribute

    protected Object createAttribute(String attributeName,
                                     MethodParameter parameter,
                                     WebDataBinderFactory binderFactory,
                                     NativeWebRequest request)
                              throws Exception

Overrides:
  `createAttribute` in class `ModelAttributeMethodProcessor`
Throws:
  `Exception`

#### bindRequestParameters

    protected void bindRequestParameters(WebDataBinder binder,
                                         NativeWebRequest request)

Overrides:
  `bindRequestParameters` in class `ModelAttributeMethodProcessor`